<!--
		SIF Infrastructure Specification 3.7

		(January 21, 2025)
		
		Infrastructure Version: 3.7
		
		license: 
		    name: Apache  2.0
        identifier: Apache-2.0
        url: 'https://home.a4l.org/legal/'
	-->
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns="http://www.sifassociation.org/infrastructure/3.7" targetNamespace="http://www.sifassociation.org/infrastructure/3.7" elementFormDefault="qualified" version="3.7">
  <xs:complexType name="queueType">
    <xs:sequence>
      <xs:element name="polling" minOccurs="0">
        <xs:simpleType>
          <xs:restriction base="xs:token">
            <xs:enumeration value="IMMEDIATE" />
            <xs:enumeration value="LONG" />
          </xs:restriction>
        </xs:simpleType>
      </xs:element>
      <xs:element name="ownerId" minOccurs="0" type="uuidType" />
      <xs:element name="name" minOccurs="0" type="xs:token" />
      <xs:element name="queueUri" minOccurs="0" type="xs:anyURI" />
      <xs:element name="ownerUri" minOccurs="0" type="xs:anyURI" />
      <xs:element name="idleTimeout" minOccurs="0" type="xs:unsignedInt" />
      <xs:element name="minWaitTime" minOccurs="0" type="xs:unsignedInt" />
      <xs:element name="maxConcurrentConnections" minOccurs="0" type="xs:unsignedInt" />
      <xs:element name="created" minOccurs="0" type="xs:dateTime" />
      <xs:element name="lastAccessed" minOccurs="0" type="xs:dateTime" />
      <xs:element name="lastModified" minOccurs="0" type="xs:dateTime" />
      <xs:element name="messageCount" minOccurs="0" type="xs:unsignedInt" />
    </xs:sequence>
    <xs:attribute name="id" use="optional" type="uuidType" />
  </xs:complexType>

  <xs:element name="queue" type="queueType">
    <xs:key name="queueKey1">
      <xs:selector xpath="." />
      <xs:field xpath="@id" />
    </xs:key>
  </xs:element>

  <xs:complexType name="queueCollectionType">
    <xs:sequence>
      <xs:element name="queue" type="queueType" minOccurs="0" maxOccurs="unbounded" />
    </xs:sequence>
  </xs:complexType>
  <xs:element name="queues" type="queueCollectionType" />

</xs:schema>